Create Wallet
post
/v1/uwaas/wallets
Create a wallet for a user in an organization network.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
orgId(required): string
External organization identifier from orgId.Example:
org-founder-bank -
orgNetworkId(required): integer
(int64)
Example:
1 -
ownershipType: string
Default Value:
USERAllowed Values:[ "USER", "SERVICE" ]Type of wallet ownership. Defaults to USER -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE", "CLOSED" ]Wallet status values allowed at creation time.Example:ACTIVE -
userId(required): string
(uuid)
Example:
3833bcfc-3b52-4705-b079-29947cf1cbe5 -
walletLabel(required): string
Example:
Founder-mobile -
walletTags: array
walletTags
Optional tags to assign to the wallet. Tags are normalized before persistence.
-
walletType(required): string
Allowed Values:
[ "1" ]Wallet type used by Wallet Admin UI. "1" = Custodial.Example:1
Nested Schema : walletTags
Type:
arrayOptional tags to assign to the wallet. Tags are normalized before persistence.
Show Source
Example:
[
"internal",
"hot"
]Response
Supported Media Types
- application/json
201 Response
Wallet created successfully.
Root Schema : CreateWalletResponse
Type:
Show Source
object-
address(required): string
Example:
0x599f59e794c88a108e0cc2072b7a52fa3576cea4 -
label(required): string
Example:
Founder-bluetooth -
ownershipType: string
Default Value:
USERAllowed Values:[ "USER", "SERVICE" ]Type of wallet ownership. Defaults to USER -
providerType(required): string
Example:
ADAPTER_HTTP -
providerWalletRef(required): string
Example:
0x599f59e794c88a108e0cc2072b7a52fa3576cea4 -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE", "CLOSED" ]Wallet lifecycle status.Example:ACTIVE -
userId: string
Example:
alice -
walletId(required): string
Example:
62d00d4f-1851-4126-aa77-dcef4f816c78 -
walletType(required): string
Allowed Values:
[ "1" ]Wallet type used by Wallet Admin UI. "1" = Custodial.Example:1 -
walletTypeLabel(required): string
Example:
Custodial
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z